
From: "Andi Kleen" <ak@suse.de>

Remove x86_apicid field

Signed-off-by: Andi Kleen <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/x86_64/kernel/setup.c     |    4 +---
 include/asm-x86_64/processor.h |    1 -
 2 files changed, 1 insertion(+), 4 deletions(-)

diff -puN arch/x86_64/kernel/setup.c~x86_64-remove-x86_apicid-field arch/x86_64/kernel/setup.c
--- 25/arch/x86_64/kernel/setup.c~x86_64-remove-x86_apicid-field	2005-05-13 22:54:46.000000000 -0700
+++ 25-akpm/arch/x86_64/kernel/setup.c	2005-05-13 22:54:46.000000000 -0700
@@ -727,7 +727,7 @@ static void __init display_cacheinfo(str
 static void __init amd_detect_cmp(struct cpuinfo_x86 *c)
 {
 #ifdef CONFIG_SMP
-	int cpu = c->x86_apicid;
+	int cpu = smp_processor_id();
 	int node = 0;
 	if (c->x86_num_cores == 1)
 		return;
@@ -929,7 +929,6 @@ void __init early_identify_cpu(struct cp
 	c->x86_clflush_size = 64;
 	c->x86_cache_alignment = c->x86_clflush_size;
 	c->x86_num_cores = 1;
-	c->x86_apicid = c == &boot_cpu_data ? 0 : c - cpu_data;
 	c->extended_cpuid_level = 0;
 	memset(&c->x86_capability, 0, sizeof c->x86_capability);
 
@@ -958,7 +957,6 @@ void __init early_identify_cpu(struct cp
 		} 
 		if (c->x86_capability[0] & (1<<19)) 
 			c->x86_clflush_size = ((misc >> 8) & 0xff) * 8;
-		c->x86_apicid = misc >> 24;
 	} else {
 		/* Have CPUID level 0 only - unheard of */
 		c->x86 = 4;
diff -puN include/asm-x86_64/processor.h~x86_64-remove-x86_apicid-field include/asm-x86_64/processor.h
--- 25/include/asm-x86_64/processor.h~x86_64-remove-x86_apicid-field	2005-05-13 22:54:46.000000000 -0700
+++ 25-akpm/include/asm-x86_64/processor.h	2005-05-13 22:54:46.000000000 -0700
@@ -62,7 +62,6 @@ struct cpuinfo_x86 {
 	int	x86_tlbsize;	/* number of 4K pages in DTLB/ITLB combined(in pages)*/
         __u8    x86_virt_bits, x86_phys_bits;
 	__u8	x86_num_cores;
-	__u8	x86_apicid;
         __u32   x86_power; 	
 	__u32   extended_cpuid_level;	/* Max extended CPUID function supported */
 	unsigned long loops_per_jiffy;
_
